Support » Plugin: XCloner - Backup and Restore » [Plugin: XCloner – Backup and Restore] MySQL warnings on mysql_fetch_array() & mysql_fetch_row()

  • Resolved itpixie

    (@itpixie)


    Hi there,
    First of all, I want to say thank you because this backup plugin rocks! It’s been working wonderfully for the last several months.

    I did notice these two warnings the last couple of days:

    Warning: mysql_fetch_array() expects parameter 1 to be resource, boolean given in /home-directory/wp-content/plugins/xcloner-backup-and-restore/cloner.functions.php on line 1996

    Warning: mysql_fetch_row() expects parameter 1 to be resource, boolean given in /home-directory/wp-content/plugins/xcloner-backup-and-restore/cloner.functions.php on line 2005

    It started happening two days ago, and the only change on my site and web server I know of is that my host did some upgrade to the web server so MySQL might have been upgraded (Current version: 5.1.63-cll). In fact the warnings started showing up after the server upgrade was done.

    I just wanted to let you know about the warnings, and to see if they are anything I should be concerned of.

    Otherwise, thank you again for the great plugin!

    http://wordpress.org/extend/plugins/xcloner-backup-and-restore/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Liuta Ovidiu

    (@xcloner)

    Try running a repair query on your database, it should help

    Ovidiu

    Thanks for getting back to me.

    Yes, I found out that one of my tables was corrupted (probably caused by the server upgrade) after I posted here. After repairing that table I no longer receive the warnings.

    Thanks so much again!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Plugin: XCloner – Backup and Restore] MySQL warnings on mysql_fetch_array() & mysql_fetch_row()’ is closed to new replies.